# -*- encoding: utf-8 -*-
# stub: ed25519 1.3.0 ruby lib
# stub: ext/ed25519_ref10/extconf.rb

Gem::Specification.new do |s|
  s.name = "ed25519".freeze
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tony Arcieri".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-01-01"
  s.description = "A Ruby binding to the Ed25519 elliptic curve public-key signature system described in RFC 8032.".freeze
  s.email = ["tony.arcieri@gmail.com".freeze]
  s.extensions = ["ext/ed25519_ref10/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "ed25519.png".freeze]
  s.files = ["CHANGES.md".freeze, "LICENSE".freeze, "README.md".freeze, "ed25519.png".freeze, "ext/ed25519_jruby".freeze, "ext/ed25519_jruby/LICENSE.txt".freeze, "ext/ed25519_jruby/README.md".freeze, "ext/ed25519_jruby/net".freeze, "ext/ed25519_jruby/net/i2p".freeze, "ext/ed25519_jruby/net/i2p/crypto".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/EdDSAEngine.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/EdDSAKey.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/EdDSAPrivateKey.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/EdDSAPublicKey.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/EdDSASecurityProvider.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/KeyFactory.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/KeyPairGenerator.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/Utils.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/Constants.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/Curve.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/Encoding.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/Field.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/FieldElement.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/GroupElement.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/ScalarOps.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/bigint".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/bigint/BigIntegerFieldElement.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/bigint/BigIntegerLittleEndianEncoding.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/bigint/BigIntegerScalarOps.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/bigint/package.html".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/ed25519".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/ed25519/Ed25519FieldElement.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/ed25519/Ed25519LittleEndianEncoding.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/math/ed25519/Ed25519ScalarOps.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSAGenParameterSpec.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSANamedCurveSpec.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSANamedCurveTable.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSAParameterSpec.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSAPrivateKeySpec.java".freeze, "ext/ed25519_jruby/net/i2p/crypto/eddsa/spec/EdDSAPublicKeySpec.java".freeze, "ext/ed25519_jruby/org".freeze, "ext/ed25519_jruby/org/cryptorb".freeze, "ext/ed25519_jruby/org/cryptorb/Ed25519Provider.java".freeze, "ext/ed25519_ref10".freeze, "ext/ed25519_ref10/Makefile".freeze, "ext/ed25519_ref10/api.h".freeze, "ext/ed25519_ref10/base.h".freeze, "ext/ed25519_ref10/base2.h".freeze, "ext/ed25519_ref10/d.h".freeze, "ext/ed25519_ref10/d2.h".freeze, "ext/ed25519_ref10/ed25519_ref10.c".freeze, "ext/ed25519_ref10/ed25519_ref10.h".freeze, "ext/ed25519_ref10/ed25519_ref10.o".freeze, "ext/ed25519_ref10/ed25519_ref10.so".freeze, "ext/ed25519_ref10/extconf.rb".freeze, "ext/ed25519_ref10/fe.c".freeze, "ext/ed25519_ref10/fe.h".freeze, "ext/ed25519_ref10/fe.o".freeze, "ext/ed25519_ref10/ge.c".freeze, "ext/ed25519_ref10/ge.h".freeze, "ext/ed25519_ref10/ge.o".freeze, "ext/ed25519_ref10/ge_add.h".freeze, "ext/ed25519_ref10/ge_madd.h".freeze, "ext/ed25519_ref10/ge_msub.h".freeze, "ext/ed25519_ref10/ge_p2_dbl.h".freeze, "ext/ed25519_ref10/ge_sub.h".freeze, "ext/ed25519_ref10/keypair.c".freeze, "ext/ed25519_ref10/keypair.o".freeze, "ext/ed25519_ref10/open.c".freeze, "ext/ed25519_ref10/open.o".freeze, "ext/ed25519_ref10/pow22523.h".freeze, "ext/ed25519_ref10/pow225521.h".freeze, "ext/ed25519_ref10/sc.h".freeze, "ext/ed25519_ref10/sc_muladd.c".freeze, "ext/ed25519_ref10/sc_muladd.o".freeze, "ext/ed25519_ref10/sc_reduce.c".freeze, "ext/ed25519_ref10/sc_reduce.o".freeze, "ext/ed25519_ref10/sha512.c".freeze, "ext/ed25519_ref10/sha512.h".freeze, "ext/ed25519_ref10/sha512.o".freeze, "ext/ed25519_ref10/sign.c".freeze, "ext/ed25519_ref10/sign.o".freeze, "ext/ed25519_ref10/sqrtm1.h".freeze, "ext/ed25519_ref10/verify.c".freeze, "ext/ed25519_ref10/verify.o".freeze, "lib/ed25519".freeze, "lib/ed25519.rb".freeze, "lib/ed25519/signing_key.rb".freeze, "lib/ed25519/verify_key.rb".freeze, "lib/ed25519/version.rb".freeze, "lib/ed25519_ref10.so".freeze]
  s.homepage = "https://github.com/RubyCrypto/ed25519".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "An efficient digital signature library providing the Ed25519 algorithm".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
  end
end
